Bug 507959 - channel.software.mergePackages is throwing Expaterror: xml declaration not at start of external entity
channel.software.mergePackages is throwing Expaterror: xml declaration not at...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-06-24 16:43 EDT by Sayli Karmarkar
Modified: 2009-09-10 15:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-06-24 16:43:54 EDT
Description of problem:

1. Create a custom channel "foobar"
2. 
>>> server.channel.software.mergePackages(key, "rhn-tools-rhel-i386-server-5", "foobar")
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.4/xmlrpclib.py", line 1147, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1281, in _parse_response
    p.feed(response)
  File "/usr/lib/python2.4/xmlrpclib.py", line 527, in feed
    self._parser.Parse(data, 0)
xml.parsers.expat.ExpatError: xml declaration not at start of external entity: line 541, column 15
Version-Release number of selected component (if applicable):

3. Again try using the same api. 
>>> server.channel.software.mergePackages(key, "rhn-tools-rhel-i386-server-5", "foobar")
[]


So basically in the previous stage packages were merged and we can see them in webui. It seems like a  display only bug. So, it may be aligned to sat5.3.1 or 5.4 instead.
Comment 1 Sayli Karmarkar 2009-06-24 16:44:47 EDT
catalina.out seems to show only:


Jun 24, 2009 4:30:12 PM redstone.xmlrpc.XmlRpcDispatcher writeError
WARNING: java.lang.NullPointerException: null
Comment 2 Sayli Karmarkar 2009-06-24 17:00:25 EDT
Also, this seems like a regressions. Haven't seen this issue in isos that were built couple of weeks back.
Comment 3 Brad Buckingham 2009-06-25 17:15:02 EDT
master git commit: 253ecb57ad6e9d8923ac6f054886125b0b18c51a
vader git commit: f8708682cef7102a144c7975d6bdedc160ef4a77
Comment 4 Sayli Karmarkar 2009-06-29 14:58:56 EDT
verified. Packages merged without error.
Comment 5 Miroslav Suchý 2009-08-20 08:11:42 EDT
verified in stage on xen5

first run successfully return list of packages merged into channel. I see them in webui. 
additional run returns []
no traceback in both runs
Comment 6 Brandon Perkins 2009-09-10 15:56:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.